Name:    samtools
Version: 1.12
Release: 5
Summary: Tools (written in C using htslib) for manipulating next-generation sequencing data 
License: MIT and BSD
URL:     http://www.htslib.org
Source0: https://github.com/samtools/samtools/archive/%{name}-%{version}.tar.bz2

Patch0:  Replace-Curses-mvprintw-with-va_list-based-equivalen.patch

BuildRequires: gcc autoconf automake make zlib-devel htslib-devel ncurses-devel bzip2-devel xz-devel

%description
The original samtools package has been split into three separate but tightly coordinated projects:
    htslib: C-library for handling high-throughput sequencing data
    samtools: mpileup and other tools for handling SAM, BAM, CRAM
    bcftools: calling and other tools for handling VCF, BCF
See also http://github.com/samtools/

%package    devel
Summary:    Header files and libraries for compiling against %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
Header files and libraries for compiling against %{name}

%prep
%autosetup -p1

%build
autoheader
autoconf -Wno-syntax
%configure --prefix=%{_prefix} --libdir=%{_libdir} --with-htslib 
%make_build

%install
%make_install
install -d -m 0755 %{buildroot}%{_includedir}/bam
install -p -m 0644 *.h %{buildroot}%{_includedir}/bam
install -D -p -m 0755 libbam.a %{buildroot}%{_libdir}/libbam.a

%pre
%preun
%post
%postun

%check

%files
%license LICENSE 
%doc README INSTALL doc/ examples/
%{_bindir}/*
%{_mandir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/bam
%{_libdir}/libbam.a

%changelog
* Thu Mar 10 2022 herengui <herengui@uniontech.com> - 1.12-5
- fix build error

* Tue Feb 08 2022 herengui <herengui@uniontech.com> - 1.12-4
- rebuild for htslib version updated.

* Tue Jul 20 2021 herengui <herengui@uniontech.com> - 1.12-3
- remove useless buildrequires.
- replace tab with space

* Thu Mar 25 2021 herengui <herengui@uniontech.com> - 1.12-2
- Add devel package

* Thu Mar 18 2021 yangzhao <yangzhao1@kylinos.cn> - 1.12-1
- Package init

